## atool 0.11.0

=== Makefile ===
# This is needed for Debian package generation (don't change it)
DESTDIR = 

# Path where the atool binaries are installed
BINDIR = $(DESTDIR)/usr/bin

# Path where the atool manpages are installed
MANDIR = $(DESTDIR)/usr/share/man

# Version of atool
VERSION = 0.11.0

# Directory in archive created by `make dist'
DISTDIR = atool-$(VERSION)

tmp_diff_dir = tmpdist

.PHONY: install dist distdiff all clean debian

all:

install:
	install -d $(BINDIR) $(MANDIR)/man1
	install -o root -g root -m 755 atool $(BINDIR)
	install -o root -g root -m 644 atool.1 $(MANDIR)/man1
	ln -s atool $(BINDIR)/aunpack
	ln -s atool $(BINDIR)/apack
	ln -s atool $(BINDIR)/acat
	ln -s atool $(BINDIR)/als

clean:

debian:
	dpkg-buildpackage -rfakeroot

dist:
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	ln atool README COPYING NEWS ChangeLog Makefile atool.1 $(DISTDIR)
	mkdir $(DISTDIR)/debian
	ln debian/{changelog,control,copyright,docs,rules} $(DISTDIR)/debian
	ln -s atool $(DISTDIR)/aunpack
	ln -s atool $(DISTDIR)/apack
	ln -s atool $(DISTDIR)/acat
	ln -s atool $(DISTDIR)/als
	chmod a-s $(DISTDIR)
	tar cvfz $(DISTDIR).tar.gz $(DISTDIR)
	rm -rf $(DISTDIR)

distdiff:
	rm -rf $(tmp_diff_dir) && \
	cur=$(DISTDIR) && \
	prev=`find atool-*|egrep -v "^$$cur.tar.gz\$$"|sort -r|head -1|sed 's/\.tar\.gz$$//'` && \
	mkdir $(tmp_diff_dir) && \
	cd $(tmp_diff_dir) && \
	tar xfz ../$$prev.tar.gz && \
	tar xfz ../$$cur.tar.gz && \
	find -type l | xargs rm && \
	diff -ruN $$prev $$cur | pager && \
	cd - && \
	rm -rf $(tmp_diff_dir);

## atool 0.37.0

=== debian/changelog ===
atool (0.37.0-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Add ${misc:Depends} dependency
  * Switch to 3.0 (quilt) package format
  * Add a patch to fix typos in manpage and split out the hyphen one
  * Merge the two README.Debian files

 -- Francois Marier <francois@debian.org>  Sun, 31 Jan 2010 21:12:42 +1300

atool (0.37.0-2) unstable; urgency=low

  * Add configure and make lines to debian/rules (closes: #546735)
  * Bump Standards-Version to 3.8.3

 -- Francois Marier <francois@debian.org>  Wed, 16 Sep 2009 16:23:49 +1200

atool (0.37.0-1) unstable; urgency=low

  * New upstream release
    - Adds support for xv and lzip
  * debian/control: add xv-utils and lzip to Suggests

 -- Francois Marier <francois@debian.org>  Fri, 14 Aug 2009 12:23:58 +1200

atool (0.36.0-3) unstable; urgency=low

  * Update unrar-nonfree to unrar
  * Bump Standards-Version up to 3.8.2 (no changes)

 -- Francois Marier <francois@debian.org>  Sun, 28 Jun 2009 22:33:56 +1200

atool (0.36.0-2) unstable; urgency=low

  * Add a symlink for arepack (LP: #373240)
  * Bump Standards-Version up to 3.8.1 (no changes)

 -- Francois Marier <francois@debian.org>  Fri, 08 May 2009 09:10:35 +1200

atool (0.36.0-1) unstable; urgency=low

  * New upstream release (closes: #514454)
  * Add rar and unrar-nonfree to Suggests (closes: #503146)
  * Bump debhelper compatibility to 7
  * Add a lintian override for an incorrect spelling warning

 -- Francois Marier <francois@debian.org>  Fri, 27 Feb 2009 12:40:15 +1300

atool (0.35.0-4) unstable; urgency=low

  * Fix typos in README.Debian

 -- Francois Marier <francois@debian.org>  Tue, 24 Jun 2008 16:57:28 +1200

atool (0.35.0-3) unstable; urgency=low

  * Add a number of compression packages to Suggests and Recommends
  * Recommend pbzip2 and make a note about it in README.Debian

 -- Francois Marier <francois@debian.org>  Mon, 23 Jun 2008 18:38:44 +1200

atool (0.35.0-2) unstable; urgency=low

  * Install the bash completion blurb for the atool binary
  * Swap maintainer and uploader fields
  * Move some packages from Suggests to Recommends

 -- Francois Marier <francois@debian.org>  Mon, 23 Jun 2008 14:41:18 +1200

atool (0.35.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version up to 3.8.0 (no changes)

 -- Francois Marier <francois@debian.org>  Mon, 09 Jun 2008 11:25:34 +1200

atool (0.34.0-1) unstable; urgency=medium

  * New upstream release (closes: #333956, #438670)
  * Set myself as co-maintainer with maintainer's permission
  * Update homepage URL in debian/copyright (closes: #452327) and
    debian/watch (closes: #450134)
  * Remove unarj from the suggested packages (closes: #312076)
  * Mention the collab-maint git repo in debian/control
  * Bump Standards-Version to 3.7.3 and debhelper compatibility to 6
  * Put a proper copyright statement in debian/copyright
  * Remove Debian patches along with dpatch to facilitate collaborative
    maintenance in the collab-maint repo.
  * Move debhelper to Build-Depends and add empty binary-arch targer in
    debian/rules to fix lintian errors.

 -- Francois Marier <francois@debian.org>  Sat, 26 Apr 2008 17:31:23 +1200

atool (0.29.0-2) unstable; urgency=low

  * Use rar as unpacker for rar archives by default (Closes: #273009).
  * Remove Suggests: unrar, as atool supports unrar-nonfree and rar, but
    not unrar.

 -- Stephane Jourdois <kwisatz@rubis.org>  Sun, 03 Oct 2004 14:38:13 +0200

atool (0.29.0-1) unstable; urgency=low

  * New maintainer, thanks Tommi Virtanen.
  * Sponsored by Michael Schiansky <ms@debian.org>.
  * New upstream release (Closes: #254815).
  * Repackaged from scratch using debconf (Closes: #264691).
  * Added 2 patches to fix typos in manpage (sent upstream).
  * Added script to remove autoconf Build-Depend.
  * Added default conffile.
  * Added test script in /usr/share/doc/atool/examples/.

 -- Stephane Jourdois <kwisatz@rubis.org>  Thu, 12 Aug 2004 16:39:22 +0200

atool (0.11.0-2) unstable; urgency=low

  * Packaging for Debian.
  * Removed Suggests: on a non-existing package "bzip" (Closes: #111308).
  * Made lintian shut up about "Author(s)" in debian/copyright.

 -- Tommi Virtanen <tv@debian.org>  Mon, 10 Sep 2001 21:07:39 +0300

atool (0.11.0-1) unstable; urgency=low

  * New upstream release.

 -- Oskar Liljeblad <osk@hem.passagen.se>  Mon, 13 Aug 2001 23:06:17 +0200

atool (0.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Oskar Liljeblad <osk@hem.passagen.se>  Wed,  1 Aug 2001 10:36:57 +0200

atool (0.9.0-2) unstable; urgency=low

  * Packaging for Debian.
  * Verbosity can be adjusted with config files, bug submitter is happy
    (Closes: #99028).

 -- Tommi Virtanen <tv@debian.org>  Thu, 19 Jul 2001 22:09:28 +0300

atool (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Oskar Liljeblad <osk@hem.passagen.se>  Thu,  5 Jul 2001 15:10:00 +0200

atool (0.8.0-2) unstable; urgency=low

  * Packaging for Debian.

 -- Tommi Virtanen <tv@debian.org>  Sun, 15 Jul 2001 01:07:09 +0300

atool (0.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Oskar Liljeblad <osk@hem.passagen.se>  Thu,  5 Jul 2001 15:10:00 +0200

atool (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Oskar Liljeblad <osk@hem.passagen.se>  Mon, 16 Apr 2001 13:36:00 +0200

atool (0.6.0-2) unstable; urgency=low

  * Packaging for Debian.
  * NEWS removed from debian/docs, seems like upstream forgot to include it.

 -- Tommi Virtanen <tv@debian.org>  Sat, 14 Apr 2001 19:47:31 +0300

atool (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Oskar Liljeblad <osk@hem.passagen.se>  Wed,  4 Apr 2001 14:10:00 +0200

atool (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Oskar Liljeblad <osk@hem.passagen.se>  Wed, 28 Mar 2001 08:12:00 +0200

atool (0.4.0-1) unstable; urgency=low

  * Initial Release.

 -- Oskar Liljeblad <osk@hem.passagen.se>  Tue, 27 Mar 2001 13:01:18 +0200

=== debian/control ===
Source: atool
Section: utils
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Uploaders: Stephane Jourdois <kwisatz@rubis.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: perl
Standards-Version: 3.8.4
Homepage: http://www.nongnu.org/atool/
Vcs-Git: git://git.debian.org/git/collab-maint/atool.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/atool.git;a=summary

Package: atool
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Recommends: bash-completion, binutils, bzip2, file, unzip, zip, pbzip2
Suggests: arc, arj, cpio, lzop, nomarch, rpm, unace, p7zip, unalz, lzma, rar, unrar, xz-utils, lzip
Description: A tool for managing file archives of various types
 atool is a script for managing file archives of various types (tar,
 tar+gzip, zip etc). The main command is probably aunpack,
 extracting files from an archive. It overcomes the dreaded "multiple
 files in archive root" problem by first extracting to a unique
 subdirectory, and then moving back the files if possible. aunpack
 also prevents local files from being overwritten by mistake.
 .
 Other commands provided are apack (create archives), als (list files
 in archives), and acat (extract files to standard out).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	rm -f atool.1
	dh_clean 

build: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

config.status:
	dh_testdir
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	perl debian/replace_autoconf_vars atool.1.in atool.1
	cp $(CURDIR)/extra/bash-completion-atool* $(CURDIR)/debian/atool/etc/bash_completion.d/atool
	chmod -x $(CURDIR)/debian/atool/etc/bash_completion.d/atool
	dh_install

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link usr/bin/atool usr/bin/acat \
		usr/bin/atool usr/bin/adiff \
		usr/bin/atool usr/bin/als \
		usr/bin/atool usr/bin/apack \
		usr/bin/atool usr/bin/arepack \
		usr/bin/atool usr/bin/aunpack \
		usr/share/man/man1/atool.1 /usr/share/man/man1/acat.1 \
		usr/share/man/man1/atool.1 /usr/share/man/man1/adiff.1 \
		usr/share/man/man1/atool.1 /usr/share/man/man1/als.1 \
		usr/share/man/man1/atool.1 /usr/share/man/man1/apack.1 \
		usr/share/man/man1/atool.1 /usr/share/man/man1/arepack.1 \
		usr/share/man/man1/atool.1 /usr/share/man/man1/aunpack.1
	dh_compress
	dh_fixperms
	dh_lintian
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean build binary-indep binary install binary-arch

## atool 0.38.0

=== debian/changelog ===
atool (0.38.0-1) unstable; urgency=low

  * New upstream release:
    - remove all Debian patches (they have been applied upstream)
  * Add empty build-arch and build-indep targets in debian/rules

 -- Francois Marier <francois@debian.org>  Wed, 17 Aug 2011 07:51:06 +1200

atool (0.37.0-5) unstable; urgency=low

  * Fix for recognizing .xpi files as zip files (closes: #530812)
  * Fix detection of 7zip files (closes: #558003)
  * Bump Standards-Version to 3.9.2
  * Remove article from package synopsis (lintian warning)

 -- Francois Marier <francois@debian.org>  Tue, 31 May 2011 23:46:31 +1200

atool (0.37.0-4) unstable; urgency=low

  * Add a note about lbzip2 in README.Debian
  * Bump Standards-Version to 3.9.1
  * Bump debhelper compatibility to 8
  * Remove unnecesary lintian override

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 13:19:57 +1300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
 Uploaders: Stephane Jourdois <kwisatz@rubis.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: perl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.nongnu.org/atool/
 Vcs-Git: git://git.debian.org/git/collab-maint/atool.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/atool.git;a=summary
@@ -13,9 +13,9 @@
 Package: atool
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}
-Recommends: bash-completion, binutils, bzip2, file, unzip, zip, pbzip2
+Recommends: bash-completion, binutils, bzip2, file, unzip, zip, lbzip2 | pbzip2
 Suggests: arc, arj, cpio, lzop, nomarch, rpm, unace, p7zip, unalz, lzma, rar, unrar, xz-utils, lzip
-Description: A tool for managing file archives of various types
+Description: tool for managing file archives of various types
  atool is a script for managing file archives of various types (tar,
  tar+gzip, zip etc). The main command is probably aunpack,
  extracting files from an archive. It overcomes the dreaded "multiple

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 	rm -f atool.1
 	dh_clean 
 
+build-arch:
+build-indep:
 build: build-stamp
 
 build-stamp: config.status

## atool 0.39.0

=== debian/changelog ===
atool (0.39.0-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6
  * Switch to a machine-readable copyright file
  * Use canonical VCS URLs

 -- Francois Marier <francois@debian.org>  Thu, 18 Sep 2014 22:10:26 +1200

atool (0.39.0-2) unstable; urgency=low

  * Switch to a minimal debian/rules file

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 14:47:47 +1200

atool (0.39.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compatibility to 9
  * Removed inactive co-maintainer

 -- Francois Marier <francois@debian.org>  Wed, 04 Apr 2012 12:11:32 +1200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
-Uploaders: Stephane Jourdois <kwisatz@rubis.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Homepage: http://www.nongnu.org/atool/
-Vcs-Git: git://git.debian.org/git/collab-maint/atool.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/atool.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/atool.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/atool.git
 
 Package: atool
 Architecture: all

=== debian/watch ===
# Watch file for atool
version=3
http://savannah.nongnu.org/download/atool/ atool-([0-9.]+)\.tar\.gz
